js_who.d(1m)

NAME
js_who.d - trace JavaScript function execution by process using DTrace.

SYNOPSIS
js_who.d

DESCRIPTION
This traces JavaScript activity from all browsers on the system that are running with JavaScript provider support. Filenames are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace JavaScript provider, which may change as additional features are introduced. Check JavaScript/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # js_who.d

FIELDS

PID Process ID of JavaScript

UID User ID of the owner

FUNCS
    Number of function calls

FILE
    Pathname of the JavaScript program

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
js_who.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)